Download it now!
Bug 74913 - Delete Style confirmation dialog does not actually ask a question
Summary: Delete Style confirmation dialog does not actually ask a question
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords: needsDevEval
Depends on:
Blocks:
 
Reported: 2014-02-12 23:41 UTC by Dale
Modified: 2015-12-18 10:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example message (3.82 KB, image/png)
2014-02-12 23:41 UTC, Dale
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dale 2014-02-12 23:41:55 UTC
Created attachment 93973 [details]
Example message

When attempting to delete a style that is in use, one is presented with a confirmation dialog that reads:

"One or more of the selected styles is in use in this document. If you delete these styles, text will revert to the parent style. Styles in use: [list of styles]"

Below that text is two buttons: "Yes" and "No".

What is missing is the associated question which probably should read something like: "Do you still wish to delete these styles?"
Comment 1 Jorendc 2014-02-13 07:19:23 UTC
taking
Comment 2 Jorendc 2014-02-21 19:08:52 UTC
Looks like Rachit Gupta took this bug: https://gerrit.libreoffice.org/#/c/8163/
Comment 3 Commit Notification 2014-02-23 03:44:00 UTC
Rachit Gupta committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e274337e6d05bc2891b349e7eab7847e91302597

fdo#74913 The delete style confirmation dialog asks the question now.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Jorendc 2014-02-24 21:43:13 UTC
Lets mark this as fixed
Comment 5 Robinson Tryon (qubit) 2015-12-18 10:13:46 UTC
Migrating Whiteboard tags to Keywords: (ProposedEasyHack -> needsDevEval)
[NinjaEdit]